package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = ""
)
@XmlRootElement(
   name = "SAPTABLEPARAM"
)
public class SAPTABLEPARAM {
   @XmlAttribute(
      name = "NAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String name;
   @XmlAttribute(
      name = "TYPE",
      required = true
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String type;
   @XmlAttribute(
      name = "DEF"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String def;
   @XmlAttribute(
      name = "ISOPTIONAL"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String isoptional;
   @XmlAttribute(
      name = "ORDER"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String order;

   public String getNAME() {
      return this.name;
   }

   public void setNAME(String value) {
      this.name = value;
   }

   public String getTYPE() {
      return this.type;
   }

   public void setTYPE(String value) {
      this.type = value;
   }

   public String getDEF() {
      return this.def;
   }

   public void setDEF(String value) {
      this.def = value;
   }

   public String getISOPTIONAL() {
      return this.isoptional;
   }

   public void setISOPTIONAL(String value) {
      this.isoptional = value;
   }

   public String getORDER() {
      return this.order;
   }

   public void setORDER(String value) {
      this.order = value;
   }
}
